/* (c) R&D Associates 1992-1997.
	All Rights Reserved.

	For BorlandC++ 4.5X. (C++).

	Build cbcp4532.clb using:

		clint cbcp4532.cpp -L+cbcp4532.clb -I. %1 %2 %3 -3 -KB1 -Ab0 -An0 -Ah0 -Ai0

*/

/* Force correct stuff even if the wrong compiler is specified. */

#undef __TURBOC__
#undef __BORLANDC__
#undef __SC__
#undef __ZTC__
#undef zpage
#undef no_init
#undef monitor
#undef non_banked
#undef _handle
#undef selector
#undef _SIZEOF_INT
#undef _SIZEOF_LONG
#undef __TID__
#undef MSC_VER
#undef WIN32_LEAN_AND_MEAN
#undef __FLAT__
#undef __WIN32__
#undef _WIN32
#undef M_I86
#undef _M_IX86
#undef __declspec
#undef __inline
#undef __int64
#undef __unaligned

#define __TURBOC__		0x450
#define __BORLANDC__	0x450
#define WIN32_LEAN_AND_MEAN
#define __FLAT__
#define __WIN32__
#define _WIN32
#define M_I86
#define _M_IX86			300
#define __declspec(x)
#define __inline		inline

#define W32SUT_32		// required for w32sut.h
#define INITGUID		// required to stop definition problems

#pragma lint -w-tni
#pragma lint -w-tns
#pragma lint -w-rtm


// This must be out of order to get definitions needed later. Don't you just
// hate headers that don't include the definitions they need themselves? You'd
// think the ANSI commitee had never specified how headers should be written.
#include "windows.h"
#include "memory.h"
#include "mmsystem.h"
#include "vfw.h"
#include "windowsx.h"
#include "mapidefs.h"
#include "mapix.h"
#include "mapiform.h"

// Headers which are commented directly are already included by other headers.
// Headers tabbed and commented are 16 bit only headers.
#include "alloc.h"
#include "assert.h"
#include "atalkwsh.h"
//#include "avicap.h"	// not with vfw.h
#include "basetyps.h"
#include "bcd.h"		// C++
#include "bios.h"
	// #include "bivbx.h"
#include "bwcc.h"
#include "cderr.h"
//#include "cguid.h"
#include "checks.h"		// C++
//#include "coguid.h"	// 16 bit
#include "colordlg.h"
#include "commctrl.h"
#include "commdlg.h"
#include "complex.h"	// C++
//#include "compobj.h"	// obsolete
#include "conio.h"
#include "constrea.h"	// C++
#include "cpl.h"
#include "cplext.h"
//#include "cstring.h"	// C++
#include "ctl3d.h"
//#include "ctype.h"
#include "custcntl.h"
#include "dde.h"
#include "ddeml.h"
#include "digitalv.h"
#include "dir.h"
#include "direct.h"
#include "dirent.h"
//#include "dispatch.h" // obsolete
#include "dispdib.h"
#include "dlcapi.h"
#include "dlgs.h"
#include "dos.h"
#include "drivinit.h"
//#include "dvobj.h"	// obsolete
#include "errno.h"
//#include "error.h"	// not with winerror.h
//#include "except.h"
#include "exchext.h"
//#include "excpt.h"
#include "fcntl.h"
#include "float.h"
#include "fstream.h"	// C++
#include "generic.h"	// C++
#include "graphics.h"
#include "idf.h"
#include "imessage.h"
//#include "imm.h"
#include "initguid.h"
#include "initoid.h"
#include "io.h"
//#include "iomanip.h"	// C++
//#include "iostream.h" // C++
#include "limits.h"
#include "lm.h"
//#include "lmaccess.h"
//#include "lmalert.h"
//#include "lmapibuf.h"
#include "lmat.h"
//#include "lmaudit.h"
#include "lmbrowsr.h"
//#include "lmchdev.h"
//#include "lmconfig.h"
//#include "lmcons.h"
//#include "lmerr.h"
//#include "lmerrlog.h"
//#include "lmmsg.h"
//#include "lmremutl.h"
//#include "lmrepl.h"
//#include "lmserver.h"
//#include "lmshare.h"
//#include "lmsname.h"
//#include "lmstats.h"
//#include "lmsvc.h"
//#include "lmuse.h"
//#include "lmuseflg.h"
//#include "lmwksta.h"
#include "locale.h"
#include "lzexpand.h"
#include "malloc.h"
#include "mapi.h"
//#include "mapicode.h"
#include "mapidbg.h"
//#include "mapiguid.h"
#include "mapihook.h"
#include "mapinls.h"
//#include "mapioid.h"	// not with initoid.h
#include "mapispi.h"
//#include "mapitags.h"
#include "mapiutil.h"
#include "mapival.h"
#include "mapiwin.h"
#include "mapiwz.h"
//#include "math.h"
#include "mciavi.h"
//#include "mcx.h"
//#include "mem.h"
//#include "memory.h"
#include "mgmtapi.h"
#include "midles.h"
//#include "mmreg.h"
//#include "mmsystem.h"
//#include "moniker.h"	// obsolete
//#include "msacm.h"
#include "msacmdlg.h"
#include "msfs.h"
#include "mspab.h"
#include "mspst.h"
#include "msviddrv.h"
//#include "msvideo.h"	// not with vfw.h
#include "nb30.h"
#include "nddeapi.h"
#include "nddesec.h"
#include "new.h"	// C++
#include "nspapi.h"
//#include "oaidl.h"
//#include "objbase.h"
//#include "objidl.h"
//#include "ole.h"		// not with ole2
//#include "ole1cls.h"	// not with ole2
//#include "ole2.h"
#include "ole2dbg.h"
#include "ole2ver.h"
//#include "oleauto.h"
#include "olectl.h"
//#include "olectlid.h"
#include "oledlg.h"
//#include "oleguid.h"	// 16 bit
//#include "oleidl.h"
//#include "olenls.h"	// 16 bit
#include "pbt.h"
#include "pcrt32.h"
//#include "pdkver.h"	// garbage
//#include "penwin.h"
//#include "penwoem.h"	// 16 bit
#include "plan32.h"
//#include "poppack.h"
//#include "print.h"	// not with wingdi.h
#include "process.h"
//#include "prsht.h"
//#include "pshpack1.h"
//#include "pshpack2.h"
//#include "pshpack4.h"
//#include "pshpack8.h"
//#include "ras.h"
#include "raserror.h"
//#include "recguids.h"
#include "reconcil.h"
//#include "ref.h"	// C++
#include "regexp.h"
#include "regstr.h"
#include "richedit.h"
#include "richole.h"
//#include "rpc.h"
//#include "rpcdce.h"
//#include "rpcdce2.h"	// not with rpcdce.h
//#include "rpcdcep.h"
//#include "rpcndr.h"
//#include "rpcnsi.h"
//#include "rpcnsip.h"
//#include "rpcnterr.h"
//#include "rpcproxy.h" // C only!
#include "scode.h"
#include "search.h"
#include "setjmp.h"
#include "share.h"
#include "shellapi.h"
//#include "shlguid.h"
#include "shlobj.h"
#include "signal.h"
#include "smpab.h"
#include "smpms.h"
#include "smpxp.h"
//#include "snmp.h"
//#include "stdarg.h"
//#include "stddef.h"
#include "stdio.h"
#include "stdiostr.h"	// C++
//#include "stdlib.h"
//#include "storage.h"	// obsolete
//#include "stress.h"	// 16 bit
//#include "string.h"
//#include "strstrea.h" // C++
#include "svcguid.h"
//#include "systypes.h"
#include "tapi.h"
//#include "tchar.h"
#include "time.h"
#include "tlhelp32.h"
#include "tnef.h"
//#include "toolhelp.h" // 16 bit
#include "tspi.h"
#include "typeinfo.h"	// C++
//#include "unknwn.h"
#include "utime.h"
#include "values.h"
//#include "variant.h"	// obsolete
#include "vcr.h"
#include "vdmdbg.h"
//#include "ver.h"		// obsolete
#include "w32sut.h"
#include "wdbgexts.h"
#include "wfext.h"
//#include "winbase.h"
//#include "wincon.h"
#include "windeb.h"
//#include "windef.h"
//#include "winerror.h"
//#include "wingdi.h"
#include "winioctl.h"
//#include "winmem32.h" // 16 bit
//#include "winnetwk.h"
//#include "winnls.h"
//#include "winnt.h"
#include "winperf.h"
//#include "winreg.h"
//#include "winsock.h"
#include "winspool.h"
//#include "winsvc.h"
//#include "winuser.h"
//#include "winver.h"
#include "wownt16.h"
#include "wownt32.h"
#include "wshisotp.h"
#include "wsipx.h"
#include "wsnetbs.h"
#include "wsnwlink.h"
//#include "wtypes.h"
#include "xcmc.h"
#include "xcmcext.h"
#include "xcmcmsx2.h"
//#include "xcmcmsxt.h"

#include "sys/locking.h"
#include "sys/stat.h"
#include "sys/timeb.h"
//#include "sys/types.h"

/* End of file. */
